* Scatter Plot

capture program drop mygraph
program define mygraph

	use _data/replicationdata_`1'-`2'_log_dv, clear
	reg y_us x
	set graph off
	la var x " "
	#delimit;
	tw (scatter y_us x) 
		(lfit y_us x),
		saving(_output/graph_`1'-`2',replace)
		xlab(-6 -3 0 3) ylab(-4 -2 0 2 4)
		l2title("`1'-`2' average")
		scheme(s1mono)
	    legend(off);
	#delimit cr
	
end

mygraph 2007 2010
mygraph 2007 2008
mygraph 2009 2010

set graph on

#delimit;
graph combine _output/graph_2007-2010.gph _output/graph_2007-2008.gph _output/graph_2009-2010.gph, 
	ysize(8) xsize(6) scale(1.0)
	col(1) scheme(s1mono)
	b1title("")
	b2title("log (PEPFAR funding per capita, 2004-2006 average)", size(small))
	l1title("log (Approve % divided by Disapprove %)", size(small))
	l2title("Do you approve or disapprove of the job performance of the leadership of the U.S.?", size(small));
#delimit cr

graph export _output/Figure1.eps, replace
capture erase _output/graph_2007-2008.gph
capture erase _output/graph_2007-2010.gph
capture erase _output/graph_2009-2010.gph

